gnutls_x509_crt_set_serial(3)

NAME
gnutls_x509_crt_set_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_serial(gnutls_x509_crt_t cert, const void * serial, size_t serial_size);

ARGUMENTS

gnutls_x509_crt_t cert
    a certificate of type gnutls_x509_crt_t

const void * serial
    The serial number

size_t serial_size
    Holds the size of the serial field.

DESCRIPTION
This function will set the X.509 certificate's serial number. While the serial number is an integer, it is often handled as an opaque field by several CAs. For this reason this function accepts any kind of data as a serial number. To be consistent with the X.509/PKIX specifications the provided serial should be a big-endian positive number (i.e. it's leftmost bit should be zero).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/